张大锤 发表于 2018-10-9 17:03:28

怎么使用command "fillet" 命令

(defun c:rr()(setq ss1 (ssget ":s" '((0 . "line,Lwpolyline"))))(setq ss2 (ssget ":s" '((0 . "line,Lwpolyline"))))(command "fillet" "R" "200" ss1 ss2)(princ))


(command "fillet" "R" "200" ss1 ss2) 这么写F 倒角命令不可 请问大家F倒角 RR 倒角200 FF倒角0 这里要怎么写

张大锤 发表于 2018-10-9 17:06:01

(defun c:rr()
(setq ss1 (ssget ":s" '((0 . "line,Lwpolyline"))))
(setq ss2 (ssget ":s" '((0 . "line,Lwpolyline"))))
(setq r 200)
(command "fillet" "R" r)
(command "fillet" ss1 ss2)
(princ)
)

写出来了 但是不知道为什么要分开写...........

htlaser 发表于 2018-10-9 17:25:57

本帖最后由 htlaser 于 2018-10-9 17:28 编辑

(defun C:fC (/ ss)
      (setvar "cmdecho" 0) ;指令执行过程不响
      (setq ss(getreal"\n-->倒R角功能默认为<R=200>"))
(if(= ss nil)(setq ss 200))
      (command "_.fillet" "r" ss "_.fillet" "u") ;利用 U 选项函数循环 ;利用 U 选项函数循环
      (princ "\n-->请选取两直线:")      (princ))

evayleung 发表于 2018-10-9 22:50:38

直接改FILLETRAD变量吧。

菜卷鱼 发表于 2018-10-10 10:06:21


(defun c:rr( / SS1 SS2)
(setq ss1 (ssget ":s" '((0 . "line,Lwpolyline"))))
(setq ss2 (ssget ":s" '((0 . "line,Lwpolyline"))))
(command "fillet" "R"200 )
(command "fillet"SS1 SS2)
(princ)
)
页: [1]
查看完整版本: 怎么使用command "fillet" 命令